using System.Collections.ObjectModel;

namespace DrillDown
{
    public class SampleDataSource
    {
        private ObservableCollection<SampleItem> _allItems = new ObservableCollection<SampleItem>();

        public SampleDataSource()
        {
            _allItems.Add(new SampleItem("COLUMN/PIE",
                "COLUMN/PIE",
                "This sample shows how to perform drilldown in FlexChart.",
                new PieColumnDemo()));
            _allItems.Add(new SampleItem("SUNBURST",
                "SUNBURST",
                "This sample shows how to perform drilldown in SunBurst.",
                new SunburstDemo()));
            _allItems.Add(new SampleItem("TREEMAP",
                "TREEMAP",
                "This sample shows how to perform drilldown in TreeMap. You can click on a cell to open the next level and click on the back hyperlink to return to a higher level.",
                new TreemapDemo()));
        }

        public ObservableCollection<SampleItem> AllItems
        {
            get { return _allItems; }
        }
    }
}
